<?php

/**
 * @class ConfigEntry
 * @brief Server configuration entry
 */
class ConfigEntry extends DBObject {

  //Name of the entry
  public $name;
  
  //Value of the entry
  public $value;
  
  
  /**
   * @brief Constructor.
   * @param $args Associative array: property => value
   * @param $isFetch True if the object has been fetched from the database
   */
  public function __construct($args, $isFetch = false) {
  
    //Call the parent constructor
    parent::__construct($args, $isFetch);
    
    //Enable serialization
    $this->setSerializable(array('name', 'value'));
  }
  
  
  /**
   * @brief Fetch an entry by name
   * @param $name name of the entry
   * @return config entry object, null if no object corresponds
   */
  public static function fetchByName($name){    
    return static::fetchOne("name = '".MySQL::escape_string($name)."'");
  }
  
  
  public static function getClass(){
    return "ConfigEntry";
  }
  
  public static function getTable(){
    return "config";
  }
  
  public static function getAutoProps(){
    return array('name', 'value');
  }

}

?>