<?php

/**
 * @class JsonFormat
 * @brief Encode and decode using JSON format.
 */
class JsonFormat extends Format {

  /**
   * @brief Constructor
   */
  public function __construct() {
  }
  
  /**
   * @brief Encode a string
   * @param $object object
   * @return string
   */
  public function encode($object) {
    return json_encode($object);
  }

  /**
   * @brief Decode a JSON string
   * @param $string string
   * @return object
   */
  public function decode($string) {
    return json_decode($string);
  }
  
  /**
   * @brief Send appropriate headers
   */
  public function send_header() {
    header('Content-type: application/x-javascript');
  }
}

?>