<?php

/**
 * @class ResultSaveRPC
 * @brief RPC Handler used to save results
 */
class ResultSaveRPC extends RPC {

  /**
   * @brief Get the RPC parameters. This service use POST method.
   * @param $get_array GET array
   * @param $post_array POST array
   * @return parameter object
   */
  protected function fetchParams($get_array, $post_array) {
    $params = new stdClass();
    
    //Check params
    if(!isset($get_array['token'])){
      die(defined("DEBUG")?'Unspecified Token!':'');
    }
    
    //Fetch the instruction and get its id
    $i = Instruction::fetchByToken($get_array['token']);
    if($i == null){
      die(defined("DEBUG")?'Invalid token!':'');
    }
    $params->instruction_id = $i->id;
    
    //Get the POST parameters
    $params->data = $post_array;
    
    return $params;
  }


  /**
   * @brief Handle the request
   */
  public function handleRequest() {
  
    //Save the result
    $r = new Result(array("session_id"        => $this->session->id,
                          "instruction_id"    => $this->params->instruction_id, 
                          "data"              => $this->params->data));
    $r->save();
  }

}

?>