<?php

//Uncomment to enable debug mode
//define("DEBUG", true);


//Initialize pseudo-random number generator
mt_srand(round(microtime(true)*1000));

//Load configuration files
require_once(dirname(__FILE__)."/mysql.php");

//Load exceptions files
require_once(dirname(__FILE__)."/../classes/Exceptions.class.php");

//Include path
ini_set("include_path", dirname(__FILE__)."/../lib/;".
                        dirname(__FILE__)."/../classes/;".
                        dirname(__FILE__)."/../api/;".
                        ini_get("include_path"));

/**
 * Look for a file in include_path
 * @param $file file to search
 * @return TRUE if found, FALSE otherwise
 */
function file_exists_in_path($file) {
  foreach(preg_split('/;/', ini_get('include_path')) as $dir) {
    if ($dir[sizeof($dir)-1] != '/') {
      $dir.='/';
    }
    if (file_exists($dir.$file)){
      return TRUE;
    }
  }
  return FALSE;
}

/**
 * @brief Autoload classes (PHP magic function)
 * @param $classname name of the class to load
 */
function __autoload($classname){
  $filename = $classname . ".class.php";
  if(!file_exists_in_path($filename)){
    throw new UnknownClass($classname);
  } else {
    require_once($filename);
  }
}

?>