#!/usr/bin/python
# -*- coding: iso-8859-15 -*-

import result_filters
import sys

#######################################
# Object wrapper classes
#######################################

class APIObject:
  """API Object wrapper class"""
  
  def __init__(self, object):
    self.__dict__.update(object)
    
  def __getitem__(self, name):
    return self.__dict__[name]
    
  def __getattr__(self, name):
    return self.__dict__[name]
    
  def __setattr__(self, name, value):
    self.__dict__[name] = value
    
  def __setitem__(self, name, value):
    self.__dict__[name] = value
    
    
    
def APIObjectList(object_class, list):
  """Wrapps a list of API objects"""
  return [object_class(obj) for obj in list]
  
 

class APIAudit(APIObject):
  """Audit object"""
  pass
  
class APIExploit(APIObject):
  """Exploit object"""

  def __init__(self, obj):
    APIObject.__init__(self, obj)
    self.params_order = [a for a,b in self.params]
    self.params = dict(self.params)
  
class APIInstruction(APIObject):
  """Instruction object"""
  pass
  
class APIChain(APIObject):
  """Chain object"""
  pass
  
class APISession(APIObject):
  """Session object"""
  pass
  
class APIResult(APIObject):
  """Result object"""
  
  def __init__(self, result):
    APIObject.__init__(self, result)
    self.filter = result_filters.load(self)
    self.data_string_list = self.filter.format_data_list().encode(sys.stdout.encoding)
    