<?php

/**
 * @class ChainedExploit
 * @brief Represent a chained exploit stored into the database
 */
class ChainedExploit extends DBObject {

  //ID of the chain
  protected $chain_id;
  
  //Name of the chained exploit
  public $exploit_name;
  
  
  /**
   * @brief Constructor.
   * @param $args Associative array: property => value
   * @param $isFetch True if the object has been fetched from the database
   */
  public function __construct($args, $isFetch = false) {
  
    //Call the parent constructor
    parent::__construct($args, $isFetch);
    
    //Enable serialization
    $this->setSerializable(array('id', 'exploit_name'));
  }

  
  public static function getClass(){
    return "ChainedExploit";
  }
  
  public static function getTable(){
    return "chain_exploit";
  }
  
  public static function getAutoProps(){
    return array("chain_id", "exploit_name");
  }

}

?>