/*
 * Name: Browser plugin enumerator
 * Description: Detect and list installed plug-ins, such as Java and Flash.
 * Author: Emilien Girault
 * Version: 1.0
 *
 * Parameters: 
 */
CREATE_XEEK_EXPLOIT({

  run: function(token, params) {
  
    var plugins = {};
    var nse = "";
    
    /*
     * Detect Flash, Windows Media Player, Java, Shockwave, RealPlayer, QuickTime, Acrobat Reader, SVG Viewer
     * Based on:
     * - http://www.javascriptkit.com/script/script2/plugins.js
     * - http://www.opera.com/support/kb/view/726/
    */


    //"Real" browsers ;)
    if (navigator && navigator.mimeTypes && navigator.mimeTypes.length) {
      for (var i=0;i < navigator.mimeTypes.length;i++) {
        nse += navigator.mimeTypes[i].type.toLowerCase();
      }
      
      detectNS("image/svg-xml", "SVG Viewer", plugins);
      detectNS("application/x-director", "Shockwave Director", plugins);
      detectNS("application/x-shockwave-flash", "Shockwave Flash", plugins);
      detectNS("audio/x-pn-realaudio-plugin", "RealPlayer", plugins);
      detectNS("video/quicktime","QuickTime", plugins);
      detectNS("application/x-mplayer2", "Windows Media Player", plugins);
      detectNS("application/pdf", "Acrobat Reader", plugins);

    } else if(document.all) { //IE, only work if IE < 7 or if ActiveX is enabled
      
      detectIE("Adobe.SVGCtl", "SVG Viewer", plugins);
      detectIE("SWCtl.SWCtl.1", "Shockwave Director", plugins);
      detectIE("ShockwaveFlash.ShockwaveFlash.1", "Shockwave Flash", plugins);
      detectIE("rmocx.RealPlayer G2 Control.1", "RealPlayer", plugins);
      detectIE("QuickTimeCheckObject.QuickTimeCheck.1", "QuickTime", plugins);
      detectIE("MediaPlayer.MediaPlayer.1", "Windows Media Player", plugins);
      detectIE("PDF.PdfCtrl.5","Acrobat Reader", plugins);
      
    }

    
    function detectIE(ClassID, name, plugins) {
      var script;
      result = false; //Do not put 'var' before declaration, since the variable must also be reachable by VBScript...
      //Cannot use document.write() since it make document.body = null...
      script = document.createElement('script');
      script.type='text/vbscript';
      script.text='\n on error resume next \n result = IsObject(CreateObject("' + ClassID + '"))';
      document.body.appendChild(script);
      
      plugins[name] = (result == true);
    }

    function detectNS(ClassID, name, plugins) {
      if (nse.indexOf(ClassID) != -1) {
        plugins[name] = (navigator.mimeTypes[ClassID].enabledPlugin != null);
      }
    }

    //Detect Java
    plugins['Java'] = navigator.javaEnabled();
  
    XeekAgent.saveResult(token, plugins);
    
  }

});
